debmake vulnerability

2004-12-23T00:00:00
ID USN-49-1
Type ubuntu
Reporter Ubuntu
Modified 2004-12-23T00:00:00

Description

Javier Fern�ndez-Sanguino Pe�a noticed that the debstd script from debmake, a deprecated helper package for Debian packaging, created temporary directories in an insecure manner. This could allow a symlink attack to create or overwrite arbitrary files with the privileges of the user invoking the program.